API ReferenceTime zones
Get time zone
Get detailed information about a specific time zone.
AuthorizationBearer <token>
OAuth 2.0 authorization code flow
In: header
Path Parameters
segments*array<string>
Time zone identifier segments (e.g., 'America/Chicago' becomes ['America', 'Chicago'])
Query Parameters
instant?string
ISO 8601 datetime to get time zone info for (defaults to current time)
Format
date-timeResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/time_zones/*segments?instant=2024-01-20T14%3A00%3A00Z"{ "abbreviation": "CST", "aliases": [ "US/Central" ], "canonical": true, "dst": false, "formatted_offset": "-06:00", "generic_long_name": "Central Time", "golden": true, "id": "America/Chicago", "legacy": false, "long_name": "Central Standard Time", "metazone": { "exemplar_city": null, "long": { "current": "Central Standard Time", "daylight": "Central Daylight Time", "generic": "Central Time", "standard": "Central Standard Time" }, "name": "America_Central", "short": { "current": "CST", "daylight": "CDT", "generic": "CT", "standard": "CST" }, "territories": [ "001" ] }, "offset": -21600, "offset_std": 0, "offset_utc": -21600, "period": { "from": "2022-03-13T03:00:00-05:00", "until": "2022-11-06T02:00:00-06:00" }, "windows_zone": { "name": "Central Standard Time" }}